import { c as create_ssr_component, e as escape, n as null_to_empty, o as onDestroy, v as validate_component, a as add_attribute, t as tick } from "../../_app/immutable/chunks/index-a536fe1c.js";
import * as pdfjs from "pdfjs-dist";
const calcRT = (paraBody) => {
  const wordsPerMinute = 200;
  let textLength = paraBody.split(" ").length;
  if (textLength > 0) {
    return Math.ceil(textLength / wordsPerMinute);
  }
};
const getPageText = (pageNum, PDFDocumentInstance) => {
  return new Promise(function(resolve, reject) {
    PDFDocumentInstance.getPage(pageNum).then(function(pdfPage) {
      pdfPage.getTextContent().then(function(textContent) {
        var textItems = textContent.items;
        var finalString = "";
        for (var i = 0; i < textItems.length; i++) {
          var item = textItems[i];
          finalString += item.str + " ";
        }
        resolve(finalString);
      });
    });
  });
};
class ClassBuilder {
  constructor(classes, defaultClasses) {
    this.defaults = typeof classes === "function" ? classes(defaultClasses) : classes;
    this.classes = this.defaults;
  }
  flush() {
    this.classes = this.defaults;
    return this;
  }
  extend(...fns) {
    return this;
  }
  get() {
    return this.classes;
  }
  replace(classes, cond = true) {
    if (cond && classes) {
      this.classes = Object.keys(classes).reduce(
        (acc, from) => acc.replace(new RegExp(from, "g"), classes[from]),
        this.classes
      );
    }
    return this;
  }
  remove(classes, cond = true) {
    if (cond && classes) {
      this.classes = classes.split(" ").reduce(
        (acc, cur) => acc.replace(new RegExp(cur, "g"), ""),
        this.classes
      );
    }
    return this;
  }
  add(className, cond = true, defaultValue) {
    if (!cond || !className)
      return this;
    switch (typeof className) {
      case "string":
      default:
        this.classes += ` ${className} `;
        return this;
      case "function":
        this.classes += ` ${className(defaultValue || this.classes)} `;
        return this;
    }
  }
}
const Tooltip_svelte_svelte_type_style_lang = "";
const css$1 = {
  code: ".tooltip.svelte-10lk5cm{left:50%;transform:translateX(-50%);white-space:nowrap;font-size:0.75rem;position:absolute;margin-top:0.5rem;background-color:#718096;color:#fff;border-radius:0.25rem;padding-top:1rem;padding-bottom:1rem;padding-right:0.75rem;padding-left:0.75rem;z-index:30}.activator.svelte-10lk5cm{position:relative;display:inline-block}",
  map: null
};
const classesDefault = "tooltip";
const Tooltip = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let c;
  let { class: className = "" } = $$props;
  let { classes = classesDefault } = $$props;
  let { show = false } = $$props;
  let { timeout = null } = $$props;
  const cb = new ClassBuilder(classes, classesDefault);
  if ($$props.class === void 0 && $$bindings.class && className !== void 0)
    $$bindings.class(className);
  if ($$props.classes === void 0 && $$bindings.classes && classes !== void 0)
    $$bindings.classes(classes);
  if ($$props.show === void 0 && $$bindings.show && show !== void 0)
    $$bindings.show(show);
  if ($$props.timeout === void 0 && $$bindings.timeout && timeout !== void 0)
    $$bindings.timeout(timeout);
  $$result.css.add(css$1);
  c = cb.flush().add(classes, true, classesDefault).add(className).get();
  return `<div class="activator svelte-10lk5cm"><div>${slots.activator ? slots.activator({}) : ``}</div>

  ${show ? `<div class="${escape(null_to_empty(c), true) + " svelte-10lk5cm"}">${slots.default ? slots.default({}) : ``}</div>` : ``}</div>`;
});
const PdfViewer_svelte_svelte_type_style_lang = "";
const css = {
  code: 'html{scroll-behavior:smooth}.parent.svelte-19h83wp{display:flex;flex-direction:column;margin:0 1.25rem}.password-viewer.svelte-19h83wp{border-width:1px;border-color:#000;border-style:solid;align-items:center;display:flex;flex-direction:column;justify-content:center;height:100%;widows:100%}.password-message.svelte-19h83wp{color:red;margin:8px 0px}.password-container.svelte-19h83wp{align-items:center;display:flex;justify-content:center;margin:8px 0px}.password-input.svelte-19h83wp{border:1px solid rgba(0, 0, 0, 0.2);padding:8px;width:200px}.password-button.svelte-19h83wp{background-color:rgb(53, 126, 221);border:1px solid rgba(0, 0, 0, 0.2);color:rgb(255, 255, 255);border-left-color:transparent;cursor:pointer;padding:8px 16px}.control.svelte-19h83wp{margin-top:1.25rem;margin-bottom:0;margin-right:2.5rem;margin-left:2.5rem;border-radius:0.25rem;overflow:auto;box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1),\n      0 4px 6px -2px rgba(0, 0, 0, 0.05);background-color:#fff;border-width:1px}.control-start.svelte-19h83wp{padding:1.25rem}.line.svelte-19h83wp{display:flex;flex-direction:row;font-family:Georgia, Cambria, "Times New Roman", Times, serif;border-top-width:0px;border-right-width:0px;border-bottom-width:1px;border-left-width:0px;border-color:#4fd1c5;border-style:dotted;margin-bottom:0.75rem;padding-top:0.5rem;padding-bottom:0.5rem;justify-content:center}.button-control.svelte-19h83wp{display:flex;flex-direction:row;padding:0.5rem;margin:0.75rem;border-radius:0.25rem;overflow:hidden;box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1),\n      0 4px 6px -2px rgba(0, 0, 0, 0.05);border-left-width:1px;border-bottom-width:1px;border-right-width:1px;cursor:pointer}.viewer.svelte-19h83wp{border-width:1px;border-color:#000;border-style:solid}.icon.svelte-19h83wp{height:1.25rem;width:1.25rem;fill:currentColor;color:#38b2ac}.disabled.svelte-19h83wp{cursor:not-allowed;box-shadow:none}.page-info.svelte-19h83wp{display:flex;flex-direction:row;padding-top:0.5rem;margin:0.75rem;overflow:hidden}.text.svelte-19h83wp{margin-left:0.5rem;cursor:default}.rot-icon.svelte-19h83wp{transform:scaleX(-1)}#topBtn.svelte-19h83wp{position:fixed;bottom:10px;float:right;right:10%;left:90%;max-width:30px;width:100%;border-color:#000;background-color:#fff;padding:0.5px;border-radius:9999px}#topBtn.svelte-19h83wp:hover{background-color:#000;color:#fff}@media(min-width: 768px) and (max-width: 1024px){.parent.svelte-19h83wp{margin:0}.control.svelte-19h83wp{margin:0}.control-start.svelte-19h83wp{padding:0}.line.svelte-19h83wp{justify-content:center}.button-control.svelte-19h83wp{display:flex;flex-direction:row;padding:0.5rem;margin:0.5rem;border-radius:0.25rem;overflow:hidden;box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1),\n        0 4px 6px -2px rgba(0, 0, 0, 0.05);border-left-width:1px;border-bottom-width:1px;border-right-width:1px;cursor:pointer}.page-info.svelte-19h83wp{display:none}canvas.svelte-19h83wp{width:100%;height:100%}}@media(min-width: 481px) and (max-width: 767px){.parent.svelte-19h83wp{margin:0}.control.svelte-19h83wp{margin:0}.control-start.svelte-19h83wp{padding:0}.line.svelte-19h83wp{justify-content:center}.button-control.svelte-19h83wp{display:flex;flex-direction:row;padding:0.5rem;margin:0.5rem;border-radius:0.25rem;overflow:hidden;box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1),\n        0 4px 6px -2px rgba(0, 0, 0, 0.05);border-left-width:1px;border-bottom-width:1px;border-right-width:1px;cursor:pointer}.page-info.svelte-19h83wp{display:none}canvas.svelte-19h83wp{width:100%;height:100%}}@media(min-width: 320px) and (max-width: 480px){.parent.svelte-19h83wp{margin:0}.control.svelte-19h83wp{margin:0}.control-start.svelte-19h83wp{padding:0}.line.svelte-19h83wp{justify-content:center}.button-control.svelte-19h83wp{display:flex;flex-direction:row;padding:0.4rem;margin:0.4rem;border-radius:0.25rem;overflow:hidden;box-shadow:0 10px 15px -3px rgba(0, 0, 0, 0.1),\n        0 4px 6px -2px rgba(0, 0, 0, 0.05);border-left-width:1px;border-bottom-width:1px;border-right-width:1px;cursor:pointer}.page-info.svelte-19h83wp{display:none}canvas.svelte-19h83wp{width:100%;height:100%}}',
  map: null
};
const minScale = 1;
const maxScale = 2.3;
const PdfViewer = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  let { url } = $$props;
  let { data } = $$props;
  let { scale = 1.8 } = $$props;
  let { pageNum = 1 } = $$props;
  let { flipTime = 120 } = $$props;
  let { showButtons = [
    "navigation",
    "zoom",
    "print",
    "rotate",
    "download",
    "autoflip",
    "timeInfo",
    "pageInfo"
  ] } = $$props;
  let { showBorder = true } = $$props;
  let { totalPage = 0 } = $$props;
  let { downloadFileName = "" } = $$props;
  pdfjs.GlobalWorkerOptions.workerSrc = new URL("pdfjs-dist/build/pdf.worker.js", import.meta.url);
  let canvas;
  let page_num = 0;
  let pageCount = 0;
  let pdfDoc = null;
  let pageRendering = false;
  let pageNumPending = null;
  let rotation = 0;
  let pdfContent = "";
  let readingTime = 0;
  let interval;
  let secondInterval;
  let pages = [];
  let password = "";
  let passwordError = false;
  let passwordMessage = "";
  let isInitialised = false;
  const renderPage = (num) => {
    pageRendering = true;
    pdfDoc.getPage(num).then(function(page) {
      let viewport = page.getViewport({ scale, rotation });
      const canvasContext = canvas.getContext("2d");
      canvas.height = viewport.height;
      canvas.width = viewport.width;
      let renderContext = { canvasContext, viewport };
      let renderTask = page.render(renderContext);
      renderTask.promise.then(function() {
        pageRendering = false;
        if (pageNumPending !== null) {
          if (pageNum < pdfDoc.totalPage) {
            pages[pageNum] = canvas;
            pageNum++;
            pdfDoc.getPage(pageNum).then(renderPage);
          } else {
            for (let i = 1; i < pages.length; i++) {
              canvas.appendChild(pages[i]);
            }
          }
          pageNumPending = null;
        }
      });
    });
    showButtons.length ? page_num.textContent = num : null;
  };
  const queueRenderPage = (num) => {
    if (pageRendering) {
      pageNumPending = num;
    } else {
      renderPage(num);
    }
  };
  const initialLoad = async () => {
    let loadingTask = pdfjs.getDocument({
      ...url && { url },
      ...data && { data },
      ...password
    });
    loadingTask.promise.then(async function(pdfDoc_) {
      pdfDoc = pdfDoc_;
      passwordError = false;
      await tick();
      showButtons.length ? pageCount.textContent = pdfDoc.numPages : null;
      totalPage = pdfDoc.numPages;
      if (showButtons.length) {
        for (let number = 1; number <= totalPage; number++) {
          getPageText(number, pdfDoc).then(function(textPage) {
            pdfContent = pdfContent.concat(textPage);
            readingTime = calcRT(pdfContent);
          });
        }
      }
      isInitialised = true;
    }).catch(function(error) {
      passwordError = true;
      passwordMessage = error.message;
    });
  };
  initialLoad();
  onDestroy(() => {
    clearInterval(interval);
    clearInterval(secondInterval);
  });
  let pageWidth;
  let pageHeight;
  if ($$props.url === void 0 && $$bindings.url && url !== void 0)
    $$bindings.url(url);
  if ($$props.data === void 0 && $$bindings.data && data !== void 0)
    $$bindings.data(data);
  if ($$props.scale === void 0 && $$bindings.scale && scale !== void 0)
    $$bindings.scale(scale);
  if ($$props.pageNum === void 0 && $$bindings.pageNum && pageNum !== void 0)
    $$bindings.pageNum(pageNum);
  if ($$props.flipTime === void 0 && $$bindings.flipTime && flipTime !== void 0)
    $$bindings.flipTime(flipTime);
  if ($$props.showButtons === void 0 && $$bindings.showButtons && showButtons !== void 0)
    $$bindings.showButtons(showButtons);
  if ($$props.showBorder === void 0 && $$bindings.showBorder && showBorder !== void 0)
    $$bindings.showBorder(showBorder);
  if ($$props.totalPage === void 0 && $$bindings.totalPage && totalPage !== void 0)
    $$bindings.totalPage(totalPage);
  if ($$props.downloadFileName === void 0 && $$bindings.downloadFileName && downloadFileName !== void 0)
    $$bindings.downloadFileName(downloadFileName);
  $$result.css.add(css);
  {
    if (isInitialised)
      queueRenderPage(pageNum);
  }
  return `
<div class="parent svelte-19h83wp"><div class="${escape(null_to_empty(showBorder === true ? "control" : "null"), true) + " svelte-19h83wp"}">${passwordError === true ? `<div class="password-viewer svelte-19h83wp"><p>This document requires a password to open:</p>
        <p class="password-message svelte-19h83wp">${escape(passwordMessage)}</p>
        <div class="password-container svelte-19h83wp"><input type="password" class="password-input svelte-19h83wp"${add_attribute("value", password, 0)}>
          <button class="password-button svelte-19h83wp">Submit
          </button></div></div>` : `${showButtons.length ? `<div class="control-start svelte-19h83wp"><div class="line svelte-19h83wp">${showButtons.includes("navigation") ? `${validate_component(Tooltip, "Tooltip").$$render($$result, {}, {}, {
    activator: () => {
      return `<span slot="activator" class="${"button-control " + escape(pageNum <= 1 ? "disabled" : null, true) + " svelte-19h83wp"}"><svg class="icon svelte-19h83wp" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><polygon points="3.828 9 9.899 2.929 8.485 1.515 0 10 .707 10.707 8.485
                  18.485 9.899 17.071 3.828 11 20 11 20 9 3.828 9"></polygon></svg></span>`;
    },
    default: () => {
      return `Previous
          `;
    }
  })}
          ${validate_component(Tooltip, "Tooltip").$$render($$result, {}, {}, {
    activator: () => {
      return `<span slot="activator" class="${"button-control " + escape(pageNum >= totalPage ? "disabled" : null, true) + " svelte-19h83wp"}"><svg class="icon svelte-19h83wp" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><polygon points="16.172 9 10.101 2.929 11.515 1.515 20 10 19.293 10.707
                  11.515 18.485 10.101 17.071 16.172 11 0 11 0 9"></polygon></svg></span>`;
    },
    default: () => {
      return `Next
          `;
    }
  })}` : ``}
          ${showButtons.includes("zoom") ? `${validate_component(Tooltip, "Tooltip").$$render($$result, {}, {}, {
    activator: () => {
      return `<span slot="activator" class="${"button-control " + escape(scale >= maxScale ? "disabled" : null, true) + " svelte-19h83wp"}"><svg class="icon svelte-19h83wp" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path fill-rule="evenodd" d="M12.9 14.32a8 8 0 1 1 1.41-1.41l5.35 5.33-1.42
                  1.42-5.33-5.34zM8 14A6 6 0 1 0 8 2a6 6 0 0 0 0 12zM7
                  7V5h2v2h2v2H9v2H7V9H5V7h2z"></path></svg></span>`;
    },
    default: () => {
      return `Zoom In
          `;
    }
  })}
          ${validate_component(Tooltip, "Tooltip").$$render($$result, {}, {}, {
    activator: () => {
      return `<span slot="activator" class="${"button-control " + escape(scale <= minScale ? "disabled" : null, true) + " svelte-19h83wp"}"><svg class="icon svelte-19h83wp" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path fill-rule="evenodd" d="M12.9 14.32a8 8 0 1 1 1.41-1.41l5.35 5.33-1.42
                  1.42-5.33-5.34zM8 14A6 6 0 1 0 8 2a6 6 0 0 0 0 12zM5
                  7h6v2H5V7z"></path></svg></span>`;
    },
    default: () => {
      return `Zoom Out
          `;
    }
  })}` : ``}
          ${showButtons.includes("print") ? `${validate_component(Tooltip, "Tooltip").$$render($$result, {}, {}, {
    activator: () => {
      return `<span slot="activator" class="button-control svelte-19h83wp"><svg class="icon svelte-19h83wp" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M4 16H0V6h20v10h-4v4H4v-4zm2-4v6h8v-6H6zM4 0h12v5H4V0zM2
                  8v2h2V8H2zm4 0v2h2V8H6z"></path></svg></span>`;
    },
    default: () => {
      return `Print
          `;
    }
  })}` : ``}
          ${showButtons.includes("rotate") ? `${validate_component(Tooltip, "Tooltip").$$render($$result, {}, {}, {
    activator: () => {
      return `<span slot="activator" class="button-control svelte-19h83wp"><svg class="icon rot-icon svelte-19h83wp" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M14.66 15.66A8 8 0 1 1 17 10h-2a6 6 0 1 0-1.76 4.24l1.42
                  1.42zM12 10h8l-4 4-4-4z"></path></svg></span>`;
    },
    default: () => {
      return `Anti-Clockwise
          `;
    }
  })}
          ${validate_component(Tooltip, "Tooltip").$$render($$result, {}, {}, {
    activator: () => {
      return `<span slot="activator" class="button-control svelte-19h83wp"><svg class="icon svelte-19h83wp" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M14.66 15.66A8 8 0 1 1 17 10h-2a6 6 0 1 0-1.76 4.24l1.42
                  1.42zM12 10h8l-4 4-4-4z"></path></svg></span>`;
    },
    default: () => {
      return `Clockwise
          `;
    }
  })}` : ``}
          ${showButtons.includes("download") ? `${validate_component(Tooltip, "Tooltip").$$render($$result, {}, {}, {
    activator: () => {
      return `<span slot="activator" class="button-control svelte-19h83wp"><svg class="icon svelte-19h83wp" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M13 8V2H7v6H2l8 8 8-8h-5zM0 18h20v2H0v-2z"></path></svg></span>`;
    },
    default: () => {
      return `Download
          `;
    }
  })}` : ``}
          ${showButtons.includes("autoflip") ? `${validate_component(Tooltip, "Tooltip").$$render($$result, {}, {}, {
    activator: () => {
      return `<span slot="activator" class="page-info button-control svelte-19h83wp"><svg class="icon svelte-19h83wp" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20">${`<path d="M9.896,3.838L0.792,1.562v14.794l9.104,2.276L19,16.356V1.562L9.896,3.838z
                    M9.327,17.332L1.93,15.219V3.27 l7.397,1.585V17.332z
                    M17.862,15.219l-7.397,2.113V4.855l7.397-1.585V15.219z"></path>`}</svg></span>`;
    },
    default: () => {
      return `${escape("Auto Turn Page")}`;
    }
  })}` : ``}
          <span class="page-info svelte-19h83wp"${add_attribute("style", showButtons.includes("timeInfo") ? "" : "display: none;", 0)}><svg class="icon svelte-19h83wp" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M16.32 7.1A8 8 0 1 1 9 4.06V2h2v2.06c1.46.18 2.8.76 3.9
                1.62l1.46-1.46 1.42 1.42-1.46 1.45zM10 18a6 6 0 1 0 0-12 6 6 0 0
                0 0 12zM7 0h6v2H7V0zm5.12 8.46l1.42 1.42L10 13.4 8.59
                12l3.53-3.54z"></path></svg>
            <span class="text svelte-19h83wp">${escape(readingTime)} min read</span></span>
          <span class="page-info svelte-19h83wp"${add_attribute("style", showButtons.includes("pageInfo") ? "" : "display: none;", 0)}><svg class="icon svelte-19h83wp" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M16 2h4v15a3 3 0 0 1-3 3H3a3 3 0 0 1-3-3V0h16v2zm0 2v13a1 1 0
                0 0 1 1 1 1 0 0 0 1-1V4h-2zM2 2v15a1 1 0 0 0 1 1h11.17a2.98 2.98
                0 0 1-.17-1V2H2zm2 8h8v2H4v-2zm0 4h8v2H4v-2zM4 4h8v4H4V4z"></path></svg>
            <div class="text svelte-19h83wp">Page :
              <span${add_attribute("this", page_num, 0)}></span>
              /
              <span${add_attribute("this", pageCount, 0)}></span></div></span></div>
        <div class="${escape(null_to_empty(showBorder === true ? "viewer" : "null"), true) + " svelte-19h83wp"}"><canvas${add_attribute("width", pageWidth, 0)}${add_attribute("height", pageHeight, 0)} class="svelte-19h83wp"${add_attribute("this", canvas, 0)}></canvas></div></div>` : `<div class="${escape(null_to_empty(showBorder === true ? "viewer" : "null"), true) + " svelte-19h83wp"}"><canvas class="svelte-19h83wp"${add_attribute("this", canvas, 0)}></canvas>
        
        </div>`}`}</div>
  <button id="topBtn" class="svelte-19h83wp"><svg class="icon svelte-19h83wp" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M7 10v8h6v-8h5l-8-8-8 8h5z"></path></svg></button>
</div>`;
});
const Routes = create_ssr_component(($$result, $$props, $$bindings, slots) => {
  return `${validate_component(PdfViewer, "PdfViewer").$$render(
    $$result,
    {
      url: "https://raw.githubusercontent.com/vinodnimbalkar/svelte-pdf/369db2f9edbf5ab8c87184193e1404340729bb3a/public/sample.pdf"
    },
    {},
    {}
  )}`;
});
export {
  Routes as default
};
